xine-lib: xine-lib-1.2.12/src/libreal/real_common.h File Reference

xine-lib 1.2.12

Functions | Variables
real_common.h File Reference
`#include <xine/xine_internal.h>`

Go to the source code of this file.

## Functions
char **__environ | __attribute__ ((weak, alias("fake__environ")))
void | ___brk_addr (void) EXPORTED
void | __ctype_b (void) EXPORTED
void | _x_real_codecs_init (xine_t *const xine)
void * | _x_real_codec_open (xine_stream_t *const stream, const char *const path, const char *const codec_name, const char *const codec_alternate)
void * | init_realvdec (xine_t *xine, const void *data)
void * | init_realadec (xine_t *xine, const void *data)

## Variables
char ** | fake__environ = { NULL }
const decoder_info_t | dec_info_realvideo
const decoder_info_t | dec_info_realaudio

## Function Documentation

## ◆ ___brk_addr()

void ___brk_addr | ( | void |  | ) |

## ◆ __attribute__()

char **__environ __attribute__ | ( | (weak, alias("fake__environ")) |  | ) |

## ◆ __ctype_b()

void __ctype_b | ( | void |  | ) |

## ◆ _x_real_codec_open()

void * _x_real_codec_open | ( | xine_stream_t *const | stream,
|  | const char *const | path,
|  | const char *const | codec_name,
|  | const char *const | codec_alternate
| ) |  |

References _x_asprintf(), _x_message(), LOG_MODULE, NULL, xine_stream_s::xine, XINE_MSG_LIBRARY_LOAD_ERROR, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by load_syms_linux().

## ◆ _x_real_codecs_init()

void _x_real_codecs_init | ( | xine_t *const | xine | ) |

References _, xine_s::config, lprintf, NULL, O, OL, OL64, config_values_s::register_filename, UL, UL64, and XINE_CONFIG_STRING_IS_DIRECTORY_NAME.

Referenced by init_realadec(), and init_realvdec().

## ◆ init_realadec()

void * init_realadec | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _x_real_codecs_init(), N_, NULL, open_plugin(), and audio_decoder_class_s::open_plugin.

## ◆ init_realvdec()

void * init_realvdec | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _x_real_codecs_init(), N_, NULL, open_plugin(), and video_decoder_class_s::open_plugin.

## Variable Documentation

## ◆ dec_info_realaudio

const decoder_info_t dec_info_realaudio
| extern

## ◆ dec_info_realvideo

const decoder_info_t dec_info_realvideo
| extern

## ◆ fake__environ

char** fake__environ = { NULL }